function A = assemMat_LFE(Coordinates,EHandle,varargin)
%% Initialize constants
nCoordinates = size(Coordinates,1);

%% Preallocate memory
Diag = zeros(nCoordinates,3);

for i = 1:(nCoordinates-1)
  % Global indices of endpoints of cell number i
  vidx = [i,i+1];
  %% Compute element stiffness matrix      
  Aloc = EHandle(Coordinates(vidx),varargin{:});  
  
  %% Add contributions to global tridiagonal matrix, which is stored in three
  %% vectors providing its non-trivial (off)diagonals
  Diag(vidx(1),2) = Diag(vidx(1),2) + Aloc(1,1);
  Diag(vidx(2),2) = Diag(vidx(2),2) + Aloc(2,2);
  Diag(vidx(2),3) = Diag(vidx(2),3) + Aloc(1,2);
  Diag(vidx(1),1) = Diag(vidx(1),1) + Aloc(2,1);
end

%% Create sparse matrix
A = spdiags(Diag,-1:1,nCoordinates,nCoordinates);
