function [ux, x] = eval_LFE(Coordinates,u, xLoc)

  % Intialize constants 
  nCoordinates = size(Coordinates,1);
  n = length(xLoc);
  N = nCoordinates-1;
  
  % Precompute shape function values at the quedrature points
  Nshap = shap_LFE(xLoc);
  
  ux = zeros(n*N,1);
  x = zeros(n*N,1);
  for i = 1:N
     h = Coordinates(i+1) - Coordinates(i);
     it = ((i-1)*n+1):i*n;

     ux(it) = u(i) * Nshap(:,1) + u(i+1) * Nshap(:,2);
     x(it) = Coordinates(i) + h*xLoc;
  end
